org.apache.tapestry5.internal.services.assets

## Interface ResourceChangeTracker

- All Superinterfaces:
    InvalidationEventHub, ResourceDependencies
  All Known Implementing Classes:
    ResourceChangeTrackerImpl

      public interface ResourceChangeTracker
      extends InvalidationEventHub, ResourceDependencies

  Tracks resources (at least, resources that can change because they are on the file system) and acts as an `UpdateListener` to check for changes and notify its listeners.
  Since:
    5.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forceInvalidationEvent()` Forces an invalidation event.
    `long` | `trackResource(Resource resource)` Start tracking the resource (or return the last modified time of an already tracked resource).

    - ### Methods inherited from interface org.apache.tapestry5.services.InvalidationEventHub

      `addInvalidationCallback, addInvalidationListener, clearOnInvalidation`

    - ### Methods inherited from interface org.apache.tapestry5.services.assets.ResourceDependencies

      `addDependency`

- - ### Method Detail

    - #### trackResource

          long trackResource(Resource resource)

      Start tracking the resource (or return the last modified time of an already tracked resource). Only file system resources are tracked. Resources are tracked until any resource changes, at which points listeners are notified and the internal state is cleared.
      Parameters:
        `resource` - to track
      Returns:
        last modified time, to nearest second
      See Also:
        `URLChangeTracker`

    - #### forceInvalidationEvent

          void forceInvalidationEvent()

      Forces an invalidation event. This is required in a rare case, to clear out a `StreamableResource` generated from the component message catalog; there are some walls in place that prevent the message catalog's underlying `Resource`s from being exposed.
      Since:
        5.4
      See Also:
        `MessageCatalogResource`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.